Package com.collibra.dgc.core.api.dto.workflow

# Class ChangeDomainTypeAssignmentRuleRequest

Object
ChangeDomainTypeAssignmentRuleRequest

All Implemented Interfaces:
  `Serializable`

public class ChangeDomainTypeAssignmentRuleRequest extends Object implements Serializable
The properties of the domain type assignment rule to be changed.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `ChangeDomainTypeAssignmentRuleRequest.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChangeDomainTypeAssignmentRuleRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ChangeDomainTypeAssignmentRuleRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `UUID`
  `getCommunityId()`
  The ID of the community the assignment rule should apply for.
  `UUID`
  `getDomainTypeId()`
  Required. The ID of the domain type the changed rule should refer to.
  `Boolean`
  `getExactResourceTypeMatch()`
  When true, the workflow can only be started for a domain if its type matches exactly the domain type defined in this rule.
  `UUID`
  `getRuleId()`
  Required. The ID of the domain type assignment rule.
  `UUID`
  `getWorkflowDefinitionId()`
  Required. The ID of the workflow definition containing the assignment rule to be changed.
  `int`
  `hashCode()`
  `void`
  `setCommunityId(UUID communityId)`
  The ID of the community the assignment rule should apply for.
  `void`
  `setDomainTypeId(UUID domainTypeId)`
  Required. The ID of the domain type the changed rule should refer to.
  `void`
  `setExactResourceTypeMatch(Boolean exactResourceTypeMatch)`
  When true, the workflow can only be started for a domain if its type matches exactly the domain type defined in this rule.
  `void`
  `setRuleId(UUID ruleId)`
  Required. The ID of the domain type assignment rule.
  `void`
  `setWorkflowDefinitionId(UUID workflowDefinitionId)`
  Required. The ID of the workflow definition containing the assignment rule to be changed.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ChangeDomainTypeAssignmentRuleRequest

    public ChangeDomainTypeAssignmentRuleRequest()

- ## Method Details

  - ### builder

    public static ChangeDomainTypeAssignmentRuleRequest.Builder builder()

  - ### getWorkflowDefinitionId

    public UUID getWorkflowDefinitionId()
    Required. The ID of the workflow definition containing the assignment rule to be changed. Silently ignored if the ID is provided as path parameter of the request.

  - ### getRuleId

    public UUID getRuleId()
    Required. The ID of the domain type assignment rule. Silently ignored if the ID is provided as path parameter of the request.

  - ### getDomainTypeId

    public UUID getDomainTypeId()
    Required. The ID of the domain type the changed rule should refer to.

  - ### getCommunityId

    public UUID getCommunityId()
    The ID of the community the assignment rule should apply for.

  - ### getExactResourceTypeMatch

    public Boolean getExactResourceTypeMatch()
    When true, the workflow can only be started for a domain if its type matches exactly the domain type defined in this rule. Child domain types are excluded.

  - ### setWorkflowDefinitionId

    public void setWorkflowDefinitionId(UUID workflowDefinitionId)
    Required. The ID of the workflow definition containing the assignment rule to be changed. Silently ignored if the ID is provided as path parameter of the request.

  - ### setRuleId

    public void setRuleId(UUID ruleId)
    Required. The ID of the domain type assignment rule. Silently ignored if the ID is provided as path parameter of the request.

  - ### setDomainTypeId

    public void setDomainTypeId(UUID domainTypeId)
    Required. The ID of the domain type the changed rule should refer to.

  - ### setCommunityId

    public void setCommunityId(UUID communityId)
    The ID of the community the assignment rule should apply for.

  - ### setExactResourceTypeMatch

    public void setExactResourceTypeMatch(Boolean exactResourceTypeMatch)
    When true, the workflow can only be started for a domain if its type matches exactly the domain type defined in this rule. Child domain types are excluded.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`